Bug 178308

Summary: [JSC] modules can be visited more than once when resolving bindings through "star" exports as long as the exportName is different each time
Product: WebKit Reporter: Yusuke Suzuki <ysuzuki>
Component: JavaScriptCoreAssignee: Yusuke Suzuki <ysuzuki>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, darin, keith_miller, mark.lam, msaboff, sam, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch mark.lam: review+

Description Yusuke Suzuki 2017-10-14 09:45:42 PDT
...
Comment 2 Yusuke Suzuki 2017-10-15 21:52:18 PDT
Created attachment 323872 [details]
Patch
Comment 3 Yusuke Suzuki 2017-10-22 06:13:35 PDT
Ping?
Comment 4 Mark Lam 2017-10-24 09:57:45 PDT
Comment on attachment 323872 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=323872&action=review

r=me

> Source/JavaScriptCore/ChangeLog:8
> +        With the change of the spec[1], we now do not need to remember star resoluted modules.

I would say "resolved" instead of "resoluted".
Comment 5 Mark Lam 2017-10-24 09:59:15 PDT
(In reply to Mark Lam from comment #4)
> > Source/JavaScriptCore/ChangeLog:8
> > +        With the change of the spec[1], we now do not need to remember star resoluted modules.
> 
> I would say "resolved" instead of "resoluted".

Or "star resolution" also works.
Comment 6 Yusuke Suzuki 2017-10-24 10:11:36 PDT
Comment on attachment 323872 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=323872&action=review

Thanks!

>> Source/JavaScriptCore/ChangeLog:8
>> +        With the change of the spec[1], we now do not need to remember star resoluted modules.
> 
> I would say "resolved" instead of "resoluted".

star resolution sounds good. Fixed.
Comment 7 Yusuke Suzuki 2017-10-24 10:11:47 PDT
Committed r223894: <https://trac.webkit.org/changeset/223894>
Comment 8 Radar WebKit Bug Importer 2017-11-15 13:04:28 PST
<rdar://problem/35568734>